/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_integral_test.pov
 
 Here's a demonstration of how you might construct integrals with the CL_rlp macros.
 
*/
  ////
 //   example   //
//_____________//  
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// 
CL_rlp_make_text_string_set(3) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#declare CL_debug_lines   =  0; 
#declare CL_z1            = -0.5;
#declare CL_z2            =  0.5;
#declare fraction_object  =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                              CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                              "#f'(x)","#f(x)",CL_medium_space,CL_dimensions_out)}
#declare right_dimensions =  CL_dimensions_out; 
//
// Make and display the displayed integral object  
#declare integral_object  = object{CL_rlp_make_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                        fraction_object,"","#x","#a_1","#a_2",CL_medium_space,CL_medium_space,1,
                                                        right_dimensions,CL_dimensions_out)} 
object{integral_object translate <-CL_dimensions_out[0]/2,-3.5,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// Make and display the inline integral object
#declare integral_object  = object{CL_rlp_make_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                        0,"#f'(x)/|,f(x)","#x","#a_1","#a_2",CL_medium_space,CL_medium_space,0,
                                                        right_dimensions,CL_dimensions_out)} 
object{integral_object translate <-CL_dimensions_out[0]/2,3.5,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

//camera{orthographic location<-20,20,-80> look_at <0,0,0> angle 15}
camera{orthographic location<0,0,-90> look_at <0,0,0> angle 15}

